--- AutoFilter.cc	2013-01-11 11:38:12.000000000 +0100
+++ /home/tim/caps/AutoFilter.cc	2013-01-17 09:46:21.000000000 +0100
@@ -91,7 +91,7 @@
 	float range = getport(6);
 	float env = getport(7);
 
-	lorenz.set_rate (2.268e-05*fs * .6*sq (getport(8)));
+	lorenz.set_rate (3e-05*fs * .6*sq(getport(8)));
 	float x = getport(9), z = 1-x;
 
 	sample_t * s = ports[10];
@@ -101,14 +101,16 @@
 	{
 		lorenz.step();
 
-		double fmod = x*lorenz.get_x() + z*lorenz.get_z();
+		double fmod = 2.5*(x*lorenz.get_x() + z*lorenz.get_z());
 		double fenv = smoothenv.process (rms.get()+normal);
 		fenv = 64*fenv*fenv;
 
 		#if 0 
 		static int _turn = 0;
+		static float ffm = 0;
+		ffm = max(fabs(fmod),ffm);
 		if (_turn++ % 100 == 0)
-			fprintf (stderr, "%.4f %.4f\n", fmod, env);
+			fprintf (stderr, "%.4f %.4f %.4f\n", fmod, env, ffm);
 		#endif
 		fmod = fmod*(1-env) + fenv*env;
 		fmod *= range;
@@ -195,7 +197,7 @@
 		"{0:'low pass',1:'band pass',}" },
 	{ "filter", CTRL_IN | GROUP, {DEFAULT_1 | INTEGER, 0, 4}, 
 		"{0:'breathy',1:'fat A',2:'fat B',3:'fat C',4:'fat D'}", }, 
-	{ "gain (dB)", CTRL_IN, {DEFAULT_0, -12, 24} }, 
+	{ "gain (dB)", CTRL_IN, {DEFAULT_LOW, 0, 24} }, 
 	/* 4 */
 	{ "f (Hz)", CTRL_IN | GROUP, {LOG | DEFAULT_LOW, 43, 3743} }, 
 	{ "Q", CTRL_IN, {DEFAULT_0, 0, 1} }, 
